// ##########
// Klasse Key
// ##########
// Zur Erzeugung und Speicherung und Verwendung von
// Schlsselwerten

#include "VeryLong.h"
#include "Primzahlen.h"

class Key
{
public:
	//Memberfunktionen
	int			Generieren(Primzahlen *prim);
	int			Lesen();
	void		Schreiben();
	int			GetBlockSize();
	//Membervariablen
	char		Name[255];
	bool		IstPrivate;
	VeryLong	Exponent;
	VeryLong	Modulowert;
				Key();
				~Key();
private:
	VeryLong	GetZufallsPrimzahl(Primzahlen *prim);
};