// ######################
// Klasse DynamischeListe
// ######################
// Zur Bereitstellung einer einfachen verketteten Liste zur
// Speicherung der Primzahlen
#include "Verylong.h"

#ifndef _DynamischeListe_

#define _DynamischeListe_

class DynamischeListeElement;

class DynamischeListe
{
public:
	//Memberfunktionen
	VeryLong				GetFirst();
	VeryLong				GetNext();
	void					AddNext(VeryLong Wert);
	VeryLong				GetLast();
	VeryLong				Count;
							DynamischeListe();
							~DynamischeListe();
private:
	DynamischeListeElement	*Wurzel;
	DynamischeListeElement	*Letztes;
	DynamischeListeElement	*Position;
};

// #############################
// Klasse DynamischeListeElement
// #############################
// Container zur Bereitstellung einer Zahl fr die Liste
class DynamischeListeElement
{
public:
	VeryLong				Wert;
	DynamischeListeElement	*Next;
	DynamischeListeElement();
	~DynamischeListeElement();
};

#endif