// ###############
// Klasse VeryLong
// ###############
// Erweiterung des Variablentype LONG, um besonders groe Zahlen
// zu speichern universell einsetzbar und mit Operatoren
// berlagert.

#ifndef _VeryLong_

#define _VeryLong_

#define VeryLongSize 100

class VeryLong
{
public:
	//Operatoren zum Rechen
	VeryLong			operator +  (VeryLong Wert2);
	VeryLong			operator +  (int      Wert2);
	VeryLong			operator -  (VeryLong Wert2);
	VeryLong			operator *  (VeryLong Wert2);
	VeryLong			operator *  (int      Wert2);
	VeryLong			operator /  (VeryLong Wert2);
	VeryLong			operator %  (VeryLong Wert2);
	VeryLong			operator &  (VeryLong Wert2);
	//Vergleichsoperatoren
	bool				operator <  (VeryLong Wert2);
	bool				operator >  (VeryLong Wert2);
	bool				operator <= (VeryLong Wert2);
	bool				operator >= (VeryLong Wert2);
	bool				operator == (VeryLong Wert2);
	bool				operator != (VeryLong Wert2);
	//Zuweisungsoperatoren
	operator			= (int Wert);
	operator			= (VeryLong Wert);
	//Cast-Operator
	operator			int();
	//Memberfunktionen
	void				GetString(char *output);
	void				SetString(const char *input);
	void				GetBin(char *output, int Blocksize);
	void				SetBin(const char *input, int Blocksize);
	int					Len();
	VeryLong			ModExp(VeryLong Potenz, VeryLong Modulo);
						VeryLong();
						~VeryLong();
private:
	VeryLong			ModExpIntern(VeryLong Potenz, 
					                 VeryLong Modulo, 
						             VeryLong ModuloStand,
							         VeryLong PotenzStand);
	unsigned char		Zahl[VeryLongSize];
};

#endif